Bug 1003447 - Please add python3 support
Please add python3 support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyserial (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 00:16 EDT by Christopher Meng
Modified: 2013-11-23 23:05 EST (History)
2 users (show)

See Also:
Fixed In Version: pyserial-2.6-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:35:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add python3 support (2.55 KB, patch)
2013-09-07 12:09 EDT, Till Maas
no flags Details | Diff

  None (edit)
Description Christopher Meng 2013-09-02 00:16:33 EDT
Hello,

I need to package a software which needs its py3 version.

Can you create a python3- subpackage?

Thanks!
Comment 1 Till Maas 2013-09-07 12:09:03 EDT
Created attachment 795149 [details]
add python3 support

Here is a patch against master that creates a python3 package that seems to work here with a local build. I can apply and build it, if you ack it but do not have time to do it yourself. I would create updates for F19 and newer, unless you wante to e.g. include F18 or exclude F19.
Comment 2 Till Maas 2013-10-13 15:25:55 EDT
please respond, otherwise I will start the nonresponsive maintainer procedure.
Comment 3 Paul P Komkoff Jr 2013-10-13 16:08:22 EDT
Till, what's your fedora username?
Comment 4 Till Maas 2013-10-13 16:18:24 EDT
(In reply to Paul P Komkoff Jr from comment #3)
> Till, what's your fedora username?

It is 'till', why do you ask?
Comment 5 Paul P Komkoff Jr 2013-10-13 16:24:51 EDT
I thought I'll give you commit access to the repo :)
nm, sorry for the delay, I've pushed out your patch and started the builds for f19 f20 master.
Comment 6 Till Maas 2013-10-13 16:37:33 EDT
(In reply to Paul P Komkoff Jr from comment #5)
> I thought I'll give you commit access to the repo :)
> nm, sorry for the delay, I've pushed out your patch and started the builds
> for f19 f20 master.

Thank you. I should have mentioned in comment 1 that I am a provenpackager, therefore it is not required. :-)
Comment 7 Paul P Komkoff Jr 2013-10-13 16:38:49 EDT
Yeah, I've figured that but only after I sent the first mail.
Comment 8 Christopher Meng 2013-11-09 11:00:12 EST
So hi again, what's the progress here?
Comment 9 Fedora Update System 2013-11-09 11:06:25 EST
pyserial-2.6-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pyserial-2.6-7.fc20
Comment 10 Fedora Update System 2013-11-09 11:06:35 EST
pyserial-2.6-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyserial-2.6-7.fc19
Comment 11 Fedora Update System 2013-11-09 16:40:56 EST
Package pyserial-2.6-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyserial-2.6-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21005/pyserial-2.6-7.fc20
then log in and leave karma (feedback).
Comment 12 Christopher Meng 2013-11-10 01:26:54 EST
Hi stingr,

Why not push 2.7 version of pyserial?
Comment 13 Fedora Update System 2013-11-23 14:35:57 EST
pyserial-2.6-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-23 23:05:06 EST
pyserial-2.6-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.